Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.properties.set.ext
Interface SetResourcePropertiesExtensions

All Known Subinterfaces:
  ResourcePropertyCollection

All Known Implementing Classes:
  SimpleResourcePropertyCollection

public interface SetResourcePropertiesExtensions

SetResourcePropertiesExtensions is a collection of non-standard WS-RP extensions that is needed in order to perform common internal operations. The WS-RP spec does not provide a way to modify individual instances of a property; rather, operations like Update and Delete are required to change all instances of a property. This is an obstacle for many types of properties.
The methods in this interface should not be exposed to the outside world, only to internal callers who have permission to make modifications that standards-compliant clients would not be allowed to make.

Author:
  Dan Jemiolo (danj)

Method Summary
`void` | `insertOrUpdate(QName property, java.lang.Object value)` This is just a convenience method that will call insertOrUpdate(QName, Object[]) with a one-element array.
`void` | `insertOrUpdate(QName property, java.lang.Object[] values)` Checks to see if there is already an instance of the property, and if so, updates it with the given values; otherwise, it inserts the values.

Method Detail

### insertOrUpdate

    public void insertOrUpdate(QName property,
                               java.lang.Object value)
                        throws BaseFault

  This is just a convenience method that will call insertOrUpdate(QName, Object[]) with a one-element array.

  Throws:
    `BaseFault`

### insertOrUpdate

    public void insertOrUpdate(QName property,
                               java.lang.Object[] values)
                        throws BaseFault

  Checks to see if there is already an instance of the property, and if so, updates it with the given values; otherwise, it inserts the values. The former maps to update(QName, Object[]), the latter to insert(QName, Object[]). This method should be used when you want to override a default value for a property that may have already been set.
  This method is not thread-safe in that there is a possibility that another WS-RP set request will happen in between the time the read test is done (to determine existence) and the set is done.

  Throws:
    `BaseFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD